import "./index-oFgxU4zs.js";
import $dbSRa$react__default, { useRef, createContext } from "react";
const $c8a5a149f625efcf$var$SharedElementContext = /* @__PURE__ */ createContext(null);
function $c8a5a149f625efcf$export$758399f318e6385a(props) {
  let ref = useRef({});
  return /* @__PURE__ */ $dbSRa$react__default.createElement($c8a5a149f625efcf$var$SharedElementContext.Provider, {
    value: ref
  }, props.children);
}
export {
  $c8a5a149f625efcf$export$758399f318e6385a as $
};
